#
# spec file for package elx-lpfc version 12.0.228.4
#
# Copyright (c) 2018 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugzilla.suse.com/
#



%define kernelversion %(rpm -q --qf "%%{version}-%%{release}" kernel-source)

Name:          elx-lpfc
BuildRequires: %kernel_module_package_buildreqs kernel-source
License:       GPL-2.0
Group:         System/Kernel
Summary:       Emulex lpfc driver
Version:       12.0.228.4
Release:       1.1
Source0:       lpfcdriver-5-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-build


%kernel_module_package

%description
Emulex lpfc driver for Fibre Channel HBAs and Universal CNAs

%package KMP
Summary: Emulex lpfc driver
Group: System/Kernel

%description KMP
Emulex lpfc driver for Fibre Channel HBAs and Universal CNAs

%prep
%setup -n lpfcdriver-5-%{version}
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
%bcond_with retpoline
%if %{with retpoline}
export KCFLAGS='-mindirect-branch=thunk-inline -mindirect-branch-register'
find source -name *.c -print0 | xargs -0 sed -i '/MODULE_LICENSE(/a MODULE_INFO(retpoline, "Y");'
%endif
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor \
        CONFIG_SCSI_LPFC=m CONFIG_SCSI_LPFC_IOCTLS=m \
        KERNELVERSION="%{kernelversion}-$flavor"
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor KERNELVERSION="%{kernelversion}-$flavor"
done

%clean
rm -rf %{buildroot}

%changelog
* Mon Jul  2 2018 lance.ortiz@suse.com
-lpfc driver build for SLE15
